Cards
API reference for cards endpoints
https://api.riftcodex.comAll responses are JSON. No authentication is required for read operations.
Get a paginated list of cards with optional filtering and sorting. Use the set_id query parameter to filter by the Riftbound set, and the sort and dir parameters to sort the results.
Query Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| sort | query | CardSortCategories | — | The field to sort by, e.g. name, collector_number, set_id, etc. |
| dir | query | integer (default: 1) | — | Direction to sort cards. 1 for ascending and -1 for descending |
| set_id | query | string | — | Filter cards by Riftbound set id, e.g. sfd, ogn (case insensitive). |
| new | query | boolean | — | Filter cards by whether they are new or not. true for new cards. |
| page | query | integer (default: 1) (min: 1) | — | Page number |
| size | query | integer (default: 50) (max: 100) (min: 1) | — | Page size |
curl "https://api.riftcodex.com/cards?size=10&set_id=ogn&sort=collector_number"
Response 200
// Successful Response
Search for cards using a full text search query. The query parameter will be used to perform a full text search on the card's text. Use the set_id query parameter to filter by the Riftbound set, and the sort and dir parameters to sort the results.
Query Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| query | query | string | ✓ yes | A full text search query |
| sort | query | CardSortCategories | — | The field to sort by, e.g. name, collector_number, set_id, etc. |
| dir | query | integer (default: 1) | — | Direction to sort cards. 1 for ascending and -1 for descending |
| set_id | query | string | — | Filter cards by Riftbound set id, e.g. sfd, ogn (case insensitive). |
| new | query | boolean | — | Filter cards by whether they are new or not. true for new cards. |
| page | query | integer (default: 1) (min: 1) | — | Page number |
| size | query | integer (default: 50) (max: 100) (min: 1) | — | Page size |
curl "https://api.riftcodex.com/cards/search?query=play+a+gold+token"
Response 200
// Successful Response
Search for cards by name. Use the exact parameter for an exact name match (case insensitive), or the fuzzy parameter for a fuzzy name match (case insensitive). To search for cards with an exact name match, use /cards/name?exact=master+yi+honed. To search for cards with a fuzzy name match, use /cards/name?fuzzy=yi+hone.
Query Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| exact | query | string | — | Search for cards with an exact name match (case insensitive) |
| fuzzy | query | string | — | Search for cards with a fuzzy name match (case insensitive) |
| sort | query | CardSortCategories | — | The field to sort by, e.g. name, collector_number, set_id, etc. |
| dir | query | integer (default: 1) | — | Direction to sort cards. 1 for ascending and -1 for descending |
| set_id | query | string | — | Filter cards by Riftbound set id, e.g. sfd, ogn (case insensitive). |
| new | query | boolean | — | Filter cards by whether they are new or not. true for new cards. |
| page | query | integer (default: 1) (min: 1) | — | Page number |
| size | query | integer (default: 50) (max: 100) (min: 1) | — | Page size |
curl "https://api.riftcodex.com/cards/name?exact=master+yi+honed"
Response 200
// Successful Response
Get a card by its Riftcodex ID
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | ✓ yes | The Riftcodex ID of the card. |
curl "https://api.riftcodex.com/cards/69a6336b829d03360413d515"
Response 200
// Successful Response
Get cards by their Riftbound ID. Case insensitive and partial matching included, eg. ogn-011-298 or ogn-011.
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | ✓ yes | The Riftbound ID of the card. Case insensitive and partial matching included, eg. ogn-011-298 or ogn-011. |
curl "https://api.riftcodex.com/cards/riftbound/ogn-011"
Response 200
// Successful Response
Get a card by its TCGPlayer ID (also known as the productID in TCGPlayer)
Path Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| tcgplayer_id | path | string | ✓ yes | The TCGPlayer ID of the card (also known as the productID) |
curl "https://api.riftcodex.com/cards/tcgplayer/652782"
Response 200
// Successful Response
Card
| Field | Type | Required | Description |
|---|---|---|---|
| id | string | ✓ yes | The unique Riftcodex identifier for the card. |
| name | string | ✓ yes | The name of the card. |
| riftbound_id | string | ✓ yes | The card's Riftbound ID |
| tcgplayer_id | string | ✓ yes | The card's TCGPlayer ID, also known as the `productID`. |
| collector_number | integer | ✓ yes | The card's collector number within its set. |
| attributes | Attributes | ✓ yes | An object containing the card's attributes, such as energy cost, might, power, etc. |
| classification | Classification | ✓ yes | An object containing the card's classification, such as type, supertype, rarity, domain. |
| text | Text | ✓ yes | An object containing the card's text, including rich text, plain text, and flavour text. |
| set | CardSet | ✓ yes | An object containing the card's set information, including set ID and label. |
| media | Media | ✓ yes | An object containing the card's media information, including image URL, artist, and accessibility text. |
| tags | string[] | ✓ yes | A list of tags associated with the card, such as Freljord, Noxus, etc. |
| orientation | string | ✓ yes | The card's orientation, either portrait or landscape |
| metadata | Metadata | ✓ yes | An object containing the card's metadata |
| new | boolean | — | If true only new cards will be returned, if false only old cards will be returned, if not provided all cards will be returned. Useful during new set releases. |
Attributes
| Field | Type | Required | Description |
|---|---|---|---|
| energy | integer | — | The card's energy cost, if any |
| might | integer | — | The card's might value, if any |
| power | integer | — | The card's power value, if any |
Classification
| Field | Type | Required | Description |
|---|---|---|---|
| type | string | ✓ yes | The card's type, e.g. `Unit`, `Spell`, etc. |
| supertype | string | — | The card's supertype, if any, e.g. `Champion`, `Token` |
| rarity | string | ✓ yes | The card's rarity, e.g. `Common`, `Rare`, etc. |
| domain | string[] | ✓ yes | The card's domain(s), e.g. `Fury`, `Chaos`, etc. |
Text
| Field | Type | Required | Description |
|---|---|---|---|
| rich | string | ✓ yes | The card's text with rich formatting |
| plain | string | ✓ yes | The card's text with plain formatting |
| flavour | string | — | The card's flavour text, if any |
CardSet
| Field | Type | Required | Description |
|---|---|---|---|
| set_id | string | ✓ yes | The set's unique identifier, e.g. `OGN`, `OGS`, etc. |
| label | string | ✓ yes | The set's label, e.g. `Origins`, `Spiritforged`, etc. |
Media
| Field | Type | Required | Description |
|---|---|---|---|
| image_url | string | ✓ yes | The URL of the card's image |
| artist | string | ✓ yes | The name of the card's artist |
| accessibility_text | string | ✓ yes | The card's accessibility text |
Metadata
| Field | Type | Required | Description |
|---|---|---|---|
| clean_name | string | ✓ yes | The card's 'clean name' without any special characters |
| updated_on | string | ✓ yes | The date and time when the card was last updated in the Riftcodex database, in ISO 8601 format |
| alternate_art | boolean | ✓ yes | Whether the card has alternate art or not. |
| overnumbered | boolean | ✓ yes | Whether the card is overnumbered or not. |
| signature | boolean | ✓ yes | Whether the card is a signature card or not. |
CardSortCategories
Type: string
| Value |
|---|
name |
collector_number |
public_code |
type |
supertype |
rarity |
domain |
artist |
set_id |
set_label |
energy |
might |
power |